Bug 478565 - Review Request: gupnp-igd - Library to handle UPnP IGD port mapping
Review Request: gupnp-igd - Library to handle UPnP IGD port mapping
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-31 22:45 EST by Brian Pepple
Modified: 2009-01-20 19:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 19:14:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
denis: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2008-12-31 22:45:20 EST
Spec URL: http://bpepple.fedorapeople.org/rpms/gupnp-igd.spec
SRPM URL: http://bpepple.fedorapeople.org/rpms/gupnp-igd-0.1.1-1.fc10.src.rpm
Description: gupnp-igd is a library to handle UPnP IGD port mapping.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1028365
Comment 1 Denis Leroy 2009-01-18 16:54:06 EST
* Package name OK
* Source md5sum correct
* License is LGPLv2+
* Package works (able to compile tests and examples)
* Buidls, BR and R are OK
* %files section OK

* rpmlint

  - mixed-use of-spaces-and-tabs : can be ignored
  - unused-direct-shlib-dependency : could use the --as-needed sed trick, but not a blocker


Warning:
 on Fedora branches <= 10, the devel package will Require gupnp-devel

Package is APPROVED.
Comment 2 Brian Pepple 2009-01-18 17:53:14 EST
(In reply to comment #1)
> Warning:
>  on Fedora branches <= 10, the devel package will Require gupnp-devel

Yeah, I'm not planning on adding this to any branches <= 10.  Thanks for the review.
Comment 3 Brian Pepple 2009-01-18 17:55:25 EST
New Package CVS Request
=======================
Package Name: gupnp-igd
Short Description: Library to handle UPnP IGD port mapping
Owners: bpepple
Branches: 
InitialCC:
Comment 4 Kevin Fenzi 2009-01-19 17:58:44 EST
cvs done.
Comment 5 Brian Pepple 2009-01-20 19:14:30 EST
Built for rawhide.  Denis, thanks again for review.

Note You need to log in before you can comment on or make changes to this bug.